com.explodingpixels.painter

## Class ButtonStatePainter.DummyPainter

- java.lang.Object
- - com.explodingpixels.painter.ButtonStatePainter.DummyPainter

All Implemented Interfaces:
  Painter<Component>

Enclosing class:
  ButtonStatePainter<B extends AbstractButton>

    public static class ButtonStatePainter.DummyPainter
    extends Object
    implements Painter<Component>

An implementation of `Painter` that does no painting.

### Constructor Summary

Constructors
Constructor and Description
`ButtonStatePainter.DummyPainter()`

### Method Summary

Methods
`void` `paint(Graphics2D g, Component component, int width, int height)` Renders to the given `Graphics2D`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ButtonStatePainter.DummyPainter

    public ButtonStatePainter.DummyPainter()

### Method Detail

#### paint

    public void paint(Graphics2D g,
             Component component,
             int width,
             int height)

Description copied from interface: `Painter`
Renders to the given `Graphics2D`. The supplied graphics context may be modified - it's state need not be restored upon completion of painting.

Specified by:
  `paint` in interface `Painter<Component>`
Parameters:
  `g` - the graphics context to paint into. It's state need not be restored. Will not be null.
  `component` - the object to be painted.
  `width` - the width within the object to paint.
  `height` - the height within the object to paint.